Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Achievement
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
        GET
      • CreateAchievementCardAsync
        POST
      • CreateAchievementAwardDocumentAsync
        POST
      • GetAchievementEventsAsync
        POST
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
    • StampCard
      • GetStampCardsAsync
      • GetStampCardDetailAsync
      • AddStampAsync
    • Celebration
      • GetCelebrationUpcoming
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Achievement

GetAchievementEventsAsync

POST
https://api.gofive.co.th/empeo/api/v1/achievements/events
ดึงรายการ Achievement-grant event แบบ flat (หนึ่งแถวต่อหนึ่งการมอบ) ในช่วงวันที่ที่กำหนด สำหรับบริษัทเดียว (ระบุด้วย CompanyName). ใช้ POST + JSON body แทน GET query string เพื่อให้ CompanyName ภาษาไทย/encoded และช่วงวันที่ส่งผ่านได้อย่างปลอดภัย

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "startDate": "2019-08-24T14:15:22.123Z",
    "endDate": "2019-08-24T14:15:22.123Z",
    "dateField": 0,
    "companyName": "string",
    "endInclusive": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/achievements/events' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "startDate": "2019-08-24T14:15:22.123Z",
    "endDate": "2019-08-24T14:15:22.123Z",
    "dateField": 0,
    "companyName": "string",
    "endInclusive": true
}'

Responses

🟢200
application/json
Success response
Bodyapplication/json

Example
{
    "statusCode": 0,
    "message": "string",
    "error": "string",
    "errorList": [
        {
            "employeeId": 0,
            "employeeNo": "string",
            "employeeName": "string",
            "employeeName_EN": "string",
            "companyId": 0,
            "achievementId": 0,
            "achievementName": "string",
            "achievementName_EN": "string",
            "coverUrl": "string",
            "description": "string",
            "dateCreated": "2019-08-24T14:15:22.123Z",
            "dateAcknowledged": "2019-08-24T14:15:22.123Z"
        }
    ],
    "totals": 0,
    "data": [
        {
            "employeeId": 0,
            "employeeNo": "string",
            "employeeName": "string",
            "employeeName_EN": "string",
            "companyId": 0,
            "achievementId": 0,
            "achievementName": "string",
            "achievementName_EN": "string",
            "coverUrl": "string",
            "description": "string",
            "dateCreated": "2019-08-24T14:15:22.123Z",
            "dateAcknowledged": "2019-08-24T14:15:22.123Z"
        }
    ]
}
🟢204
🟠403
🔴500
Modified at 2026-07-21 04:39:19
Previous
CreateAchievementAwardDocumentAsync
Next
GetEmployeePraisesByEmployeeNoAsync
Built with